
Infrastructure - Story #1821

CN Buildout should set different values  based on installation environment

2011-10-07 20:49 - Robert Waltz

Status: Closed Start date: 2012-02-24

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Story Points:    

Description

NodeList, LDAP Configuration, Hazelcast configuration, synchronization configuration should vary based on whether a machine is

part of user development (local VMs, localhost), integration development (cn-dev, et al) staging or production.

Subtasks:

Task # 2406: storage hazelcast is not configured with correct ips Closed

Task # 2407: Modify node.properties to fill in certificate filename Closed

Task # 2408: Modify metacat.properties file to allow for CN certificate file to be repl... Closed

Task # 2409: D1Client.CN_URL in metacat.properties not set properly in buildout Closed

Task # 2410: Change d1_synchronization to look a different parameter for the default re... Closed

Task # 2412: replace dataone.memberNodeId property in metacat.properties Closed

History

#1 - 2011-10-07 20:50 - Robert Waltz

- Tracker changed from Task to Story

#2 - 2011-10-07 20:51 - Robert Waltz

- Position set to 165

#3 - 2011-11-29 17:31 - Robert Waltz

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#4 - 2012-02-27 18:19 - Robert Waltz

- Target version set to Sprint-2012.09-Block.2.1

#5 - 2012-02-27 22:12 - Robert Waltz

- Status changed from New to In Progress

#6 - 2012-02-29 22:51 - Robert Waltz

- Status changed from In Progress to Closed
